AlsaPlayer 0.99.81

Data Structures | Macros | Typedefs
interface_plugin.h File Reference
`#include "CorePlayer.h"`
`#include "Playlist.h"`

Go to the source code of this file.

## Data Structures
struct | _interface_plugin

## Macros
#define | INTERFACE_PLUGIN_BASE_VERSION 0x1000
#define | INTERFACE_PLUGIN_VERSION (INTERFACE_PLUGIN_BASE_VERSION + 4)

## Typedefs
typedef int | interface_version_type
typedef int(* | interface_init_type) ()
typedef int(* | interface_start_type) (Playlist *, int, char **)
typedef int(* | interface_running_type) ()
typedef int(* | interface_stop_type) ()
typedef void(* | interface_close_type) ()
typedef struct _interface_plugin | interface_plugin
typedef interface_plugin *(* | interface_plugin_info_type) ()

## Macro Definition Documentation

## ◆ INTERFACE_PLUGIN_BASE_VERSION

#define INTERFACE_PLUGIN_BASE_VERSION 0x1000

## ◆ INTERFACE_PLUGIN_VERSION

#define INTERFACE_PLUGIN_VERSION (INTERFACE_PLUGIN_BASE_VERSION + 4)

## Typedef Documentation

## ◆ interface_close_type

typedef void(* interface_close_type) ()

## ◆ interface_init_type

typedef int(* interface_init_type) ()

## ◆ interface_plugin

typedef struct _interface_plugin interface_plugin

## ◆ interface_plugin_info_type

typedef interface_plugin*(* interface_plugin_info_type) ()

## ◆ interface_running_type

typedef int(* interface_running_type) ()

## ◆ interface_start_type

typedef int(* interface_start_type) (Playlist *, int, char **)

## ◆ interface_stop_type

typedef int(* interface_stop_type) ()

## ◆ interface_version_type

typedef int interface_version_type